7.3. Rescaling movies
Prev | Chapter 7. Encoding with MEncoder | Next

## 7.3. Rescaling movies

Often the need to resize movie images' size emerges. Its reasons can be many: decreasing file size, network bandwidth,etc. Most people even do rescaling when converting DVDs or SVCDs to DivX AVI. This is bad. Instead of even you doing so, read the Preserving aspect ratio section.

The scaling process is handled by the `scale` video filter: `-vf scale=`width`:`height``. Its quality can be set with the `-sws` option. If it's not specified, MEncoder will use 0: fast bilinear.

Usage:

    mencoder input.mpg -ovc lavc -lavcopts vcodec=mpeg4 -vf scale=640:480-o output.avi

Prev | Up | Next
7.2. Encoding to MPEG format | Home | 7.4. Stream copying